%define upstream_name    String-CRC32
%define upstream_version 1.5

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Perl interface for cyclic redundency check generation
License:    GPL or Artistic
Group:      Development/Perl
Source0:     ftp://ftp.perl.org/pub/CPAN/modules/by-module/String/%{upstream_name}-%{upstream_version}.tar.gz
Url:        http://search.cpan.org/dist/%{upstream_name}
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
%{?perl_default_filter}

%description 
This packages provides a perl module to generate checksums from strings
and from files.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make CFLAGS="%{optflags}"


%install
%makeinstall_std

%files
%doc MYMETA.yml README
%{_mandir}/*/*
%{perl_vendorarch}/String
%{perl_vendorarch}/auto/String


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.500.0-10pclos2017
- rebuild against updates

